#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("bieuthucf.inp");
	float x;
	long long n;
	fi>>n;
	fi.close();
	ofstream fo("bieuthucf.out");
	double f=0;
	gt=1;
	f=x/1;
	for (long long i=2;i<=n;i++)
    {
        x=x*x;
        gt=gt*i;
        f=f+x/gt;
    }
    fo.setf(ios::fixed);
    fo.setf(ios::showpoint);
    fo.precision(3);
    fo<<f;
}
